Bug 849786 - Documentation incorrectly suggests that sslservlet should be used for the agent's communication transport - rhq.communications.connector.transport
Documentation incorrectly suggests that sslservlet should be used for the age...
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.1.0
All All
unspecified Severity high
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2012-08-20 17:08 EDT by Larry O'Leary
Modified: 2014-10-23 08:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-28 19:33:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 190693 None None None 2012-08-20 17:12:18 EDT

  None (edit)
Description Larry O'Leary 2012-08-20 17:08:58 EDT
Description of problem:
Agent configuration described in https://access.redhat.com/knowledge/docs/en-US/JBoss_Operations_Network/3.1/html/Admin_Configuring_JON_Servers_and_Agents/configuring-ssl.html#JBoss_ON_and_SSL-Encryption suggests using `sslservlet` as the transport however this transport is invalid. On the JON/RHQ agent, the only supported transports are `socket` and `sslsocket`. In the case of enabling SSL/TLS on the agent, sslsocket should be used. The only place `sslservlet` can be used is for the `rhq.agent.server.transport` property.

Version-Release number of selected component (if applicable):
JON 3.1.0

Additional info:
By using `sslservlet` for `rhq.communications.connector.transport` as indicated in step 2.c. the result is the agent will fail to start due to the invalid transport being used.
Comment 1 Deon Ballard 2013-02-28 19:33:19 EST
Mass closure.

Note You need to log in before you can comment on or make changes to this bug.